--- title: "Segment Config" slug: "server-api-livechat-segment-config" updated: 2022-06-16T06:20:59Z published: 2022-06-16T06:20:59Z canonical: "developer.comm100.com/server-api-livechat-segment-config" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Segment Config ## Segment Config You need the Manage Settings permission to manage segment config. - `Segment Config` - Segment Config Manage - `GET livechat/segmentConfig` - [Get a single Segment Config](/docs/server-api-livechat-segment-config#get-a-single-segment-config) - `POST livechat/segmentConfig:disable` - [Disable the Segment Config](/docs/server-api-livechat-segment-config#disable-the-segment-config) - `POST livechat/segmentConfig:enable` - [Enable the Segment Config](/docs/server-api-livechat-segment-config#enable-the-segment-config) ### Segment Config JSON Format Segment Config is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `isEnabled` | bool | Whether segment config is enabled or not. | ### Get a single Segment Config `GET livechat/segmentConfig` - #### Parameters: No Parameters - #### Response: [Segment Config](/docs/server-api-livechat-segment-config#segment-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/segmentConfig \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": true } ``` ### Disable the Segment Config `POST livechat/segmentConfig:disable` - #### Parameters: No Parameters - #### Response: [Segment Config](/docs/server-api-livechat-segment-config#segment-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/segmentConfig:disable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": false } ``` ### Enable the Segment Config `POST livechat/segmentConfig:enable` - #### Parameters: No Parameters - #### Response: [Segment Config](/docs/server-api-livechat-segment-config#segment-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/segmentConfig:enable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": true } ```